Host clone should include associated Puppet classes

11/26/2014 06:46 PM - Joshua Hoblitt

Status: Closed   

Priority: Normal   

Assignee: Dominic Cleal   

Category: Host creation   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.6.3

Bugzilla link: 1267692 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2588

  

Description

As of 1.6.3, cloning a host does not duplicate it's included classes.  It would be very convient when provisioning multiple hosts if there

was a mechanism to clone an existing host that encompassed config groups, included classes, and host level parameters.

Related issues:

Related to Foreman - Bug #7407: Cloning a hostgroup do not clone Puppet class... Closed 09/11/2014

Related to Foreman - Bug #9815: HostGroup Clone doesn't work if the hostgroup... Closed 03/18/2015

Associated revisions

Revision f1a2c140 - 09/10/2015 07:27 AM - Dominic Cleal

fixes #8521 - fix classes accessors, copy overrides on host clone

The various 'classes' accessors that are used in the UI for displaying

the Puppet classes tab only really worked for saved objects, so they're

changed to work better on an unsaved cloned object.  Tests now check

all associations and UI accessors return consistent results for various

types of class associations.

History

#1 - 11/27/2014 04:34 AM - Dominic Cleal

- Project changed from Smart Proxy to Foreman

- Category changed from Core to Host creation

Are those classes directly included, and does the new host show the same Puppet environment?

#2 - 11/27/2014 04:35 AM - Dominic Cleal

- Subject changed from ability to clone a host INCLUDING it's included classes to Host clone should include associated Puppet classes

#3 - 11/27/2014 04:35 AM - Dominic Cleal

- Tracker changed from Feature to Bug

#4 - 11/27/2014 04:35 AM - Dominic Cleal

- Related to Bug #7407: Cloning a hostgroup do not clone Puppet classes and parameters added

#5 - 12/10/2014 10:05 AM - David Schmitt

The classes are directly included and may have contained fqdn matched smart parameters.

The cloned host shows the same hostgroup.

#6 - 07/31/2015 10:09 AM - Dominic Cleal

- Status changed from New to Assigned
- Assignee set to Dominic Cleal

#7 - 07/31/2015 11:35 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2588 added

- Pull request deleted ()

#8 - 08/18/2015 09:02 AM - Dominic Cleal

- Related to Bug #9815: HostGroup Clone doesn't work if the hostgroup has parameters added

#9 - 09/10/2015 07:29 AM - Marek Hulán

- translation missing: en.field_release set to 63

#10 - 09/10/2015 08:02 AM - Dominic Cleal

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset f1a2c1407b161ea51d9be579f8973ff1fc0ebce8.

#11 - 09/30/2015 01:12 PM - Christine Fouant

- Bugzilla link set to 1267692
